LASTLOG(8)

NAMN
lastlog - reports the most recent login of all users or of a given user

SYNOPSIS

lastlog [flaggor]

BESKRIVNING

lastlog formats and prints the contents of the last login log /var/log/lastlog file. The login-name, port, and last login time will be printed. The default (no flags) causes lastlog entries to be printed, sorted by their order in /etc/passwd.

FLAGGOR

Flaggorna som gäller för kommandot lastlog är:

-b, --beforeDAGAR
    Print only lastlog records older than DAYS.

-h, --help
    Visa hjälpmeddelande och avsluta.

-t, --timeDAGAR
    Print the lastlog records more recent than DAYS.

-u, --user LOGIN|RANGE
    Print the lastlog record of the specified user(s).

    The users can be specified by a login name, a numerical user ID, or a RANGE of users. This RANGE of users can be specified with a min and max values (UID_MIN-UID_MAX), a max value (-UID_MAX), or a min value (UID_MIN-).

If the user has never logged in the message ** Never logged in** will be displayed instead of the port and time.

NOTERA

The lastlog file is a database which contains info on the last login of each user. You should not rotate it. It is a sparse file, so its size on the disk is usually much smaller than the one shown by "ls -l" (which can indicate a really big file if you have in passwd users with a high UID). You can display its real size with "ls -s".

FILER

/var/log/lastlog
    Databastider för tidigare användarinloggningar.

TÄNK PÅ

Large gaps in UID numbers will cause the lastlog program to run longer with no output to the screen (i.e. if in lastlog database there is no entries for users with UID between 170 and 800 lastlog will appear to hang as it processes entries with UIDs 171-799).